need some help about plugin dada2 and deblur.command run error

I am following with the “Moving Pictures” tutorial .And I just cannot execute both DADA2 and Deblur plugins.
For DADA2:
(qiime2-2019.4) [email protected] /home/ubuntu/qiime2/qiiem2-moving-pictures-tutorial
$qiime dada2 denoise-single --i-demultiplexed-seqs demux.qza --p-trim-left 0 --p-trunc-len 120 --o-representative-sequences rep-seqs-dada2.qza --o-table table-dada2.qza --o-denoising-stats stats-dada2.qza --verbose
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_single.R /tmp/qiime2-archive-rgfufrn5/20bf52fd-0be1-4cfc-82c4-1411f8c49dc2/data /tmp/tmp65l4b6qz/output.tsv.biom /tmp/tmp65l4b6qz/track.tsv /tmp/tmp65l4b6qz 120 0 2.0 2 Inf consensus 1.0 1 1000000 NULL 16

R version 3.5.1 (2018-07-02)
Loading required package: Rcpp
Traceback (most recent call last):
File "/home/ubuntu/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_dada2/_denoise.py", line 152, in _denoise_single
run_commands([cmd])
File "/home/ubuntu/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_dada2/_denoise.py", line 36, in run_commands
subprocess.run(cmd, check=True)
File "/home/ubuntu/miniconda3/envs/qiime2-2019.4/lib/python3.6/subprocess.py", line 418, in run
output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '['run_dada_single.R', '/tmp/qiime2-archive-rgfufrn5/20bf52fd-0be1-4cfc-82c4-1411f8c49dc2/data', '/tmp/tmp65l4b6qz/output.tsv.biom', '/tmp/tmp65l4b6qz/track.tsv', '/tmp/tmp65l4b6qz', '120', '0', '2.0', '2', 'Inf', 'consensus', '1.0', '1', '1000000', 'NULL', '16']' died with <Signals.SIGKILL: 9>.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/ubuntu/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2cli/commands.py", line 311, in call
results = action(**arguments)
File "</home/ubuntu/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/decorator.py:decorator-gen-449>", line 2, in denoise_single
File "/home/ubuntu/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/qiime2/sdk/action.py", line 231, in bound_callable
output_types, provenance)
File "/home/ubuntu/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/qiime2/sdk/action.py", line 365, in callable_executor
output_views = self._callable(**view_args)
File "/home/ubuntu/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_dada2/_denoise.py", line 187, in denoise_single
band_size='16')
File "/home/ubuntu/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_dada2/_denoise.py", line 163, in _denoise_single
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code -9), please inspect stdout and stderr to learn more.

Plugin error from dada2:

An error was encountered while running DADA2 in R (return code -9), please inspect stdout and stderr to learn more.

See above for debug info.
error log file:qiime2-q2cli-err-dmwc8ok2.txt (2.5 KB)

For deblur:
(qiime2-2019.4) [email protected] /home/ubuntu/qiime2/qiiem2-moving-pictures-tutorial
$qiime deblur denoise-16S --i-demultiplexed-seqs demux-filtered.qza --p-trim-length 120 --o-representative-sequences rep-seqs-deblur.qza --o-table table-deblur.qza --p-sample-stats --o-stats deblur-stats.qza --verbose
Traceback (most recent call last):
File "/home/ubuntu/miniconda3/envs/qiime2-2019.4/bin/deblur", line 684, in
deblur_cmds()
File "/home/ubuntu/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/click/core.py", line 764, in call
return self.main(*args, **kwargs)
File "/home/ubuntu/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/click/core.py", line 717, in main
rv = self.invoke(ctx)
File "/home/ubuntu/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/click/core.py", line 1137, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File "/home/ubuntu/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/click/core.py", line 956, in invoke
return ctx.invoke(self.callback, **ctx.params)
File "/home/ubuntu/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/click/core.py", line 555, in invoke
return callback(*args, **kwargs)
File "/home/ubuntu/miniconda3/envs/qiime2-2019.4/bin/deblur", line 614, in workflow
working_dir=working_dir)
File "/home/ubuntu/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/deblur/workflow.py", line 229, in build_index_sortmerna
raise RuntimeError('Cannot index database file %s' % db)
RuntimeError: Cannot index database file /home/ubuntu/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/deblur/support_files/88_otus.fasta
Traceback (most recent call last):
File "/home/ubuntu/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2cli/commands.py", line 311, in call
results = action(**arguments)
File "</home/ubuntu/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/decorator.py:decorator-gen-441>", line 2, in denoise_16S
File "/home/ubuntu/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/qiime2/sdk/action.py", line 231, in bound_callable
output_types, provenance)
File "/home/ubuntu/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/qiime2/sdk/action.py", line 365, in callable_executor
output_views = self._callable(**view_args)
File "/home/ubuntu/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_deblur/_denoise.py", line 99, in denoise_16S
hashed_feature_ids=hashed_feature_ids)
File "/home/ubuntu/miniconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_deblur/_denoise.py", line 170, in _denoise_helper
subprocess.run(cmd, check=True)
File "/home/ubuntu/miniconda3/envs/qiime2-2019.4/lib/python3.6/subprocess.py", line 418, in run
output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '['deblur', 'workflow', '--seqs-fp', '/tmp/qiime2-archive-9r8lf0c0/72c2f69b-7cc0-4324-ad20-117de939bffa/data', '--output-dir', '/tmp/tmpaaq6n0wn', '--mean-error', '0.005', '--indel-prob', '0.01', '--indel-max', '3', '--trim-length', '120', '--left-trim-length', '0', '--min-reads', '10', '--min-size', '2', '--jobs-to-start', '1', '-w', '--keep-tmp-files']' returned non-zero exit status 1.

Plugin error from deblur:

Command '['deblur', 'workflow', '--seqs-fp', '/tmp/qiime2-archive-9r8lf0c0/72c2f69b-7cc0-4324-ad20-117de939bffa/data', '--output-dir', '/tmp/tmpaaq6n0wn', '--mean-error', '0.005', '--indel-prob', '0.01', '--indel-max', '3', '--trim-length', '120', '--left-trim-length', '0', '--min-reads', '10', '--min-size', '2', '--jobs-to-start', '1', '-w', '--keep-tmp-files']' returned non-zero exit status 1.

See above for debug info.

error logfileqiime2-q2cli-err-yjq4klpj.txt (2.9 KB)

enviroment: Ubuntu 16.04.1 LTS
qiime2-2019.4 conda installed

Just need some help plz!:cry:

It seems like i have no enough memories!Sorry to bother u guys

1 Like

yep! you are correct, this is a memory error — if needed you can check the forum archive for some more advice solving this issue.

3 Likes